zenilib: zenilib/jni/external/openal-soft/OpenAL32/alEffect.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
alEffect.c File Reference
`#include "config.h"`
`#include <stdlib.h>`
`#include <math.h>`
`#include <float.h>`
`#include "AL/al.h"`
`#include "AL/alc.h"`
`#include "alMain.h"`
`#include "alEffect.h"`
`#include "alThunk.h"`
`#include "alError.h"`
`#include "AL/efx-presets.h"`

Go to the source code of this file.

## Macros

#define | DECL(x) { #x, EFX_REVERB_PRESET_##x }

## Functions

AL_API ALvoid AL_APIENTRY | alDeleteEffects (ALsizei n, const ALuint *effects)
AL_API ALvoid AL_APIENTRY | alEffectf (ALuint effect, ALenum param, ALfloat value)
AL_API ALvoid AL_APIENTRY | alEffectfv (ALuint effect, ALenum param, const ALfloat *values)
AL_API ALvoid AL_APIENTRY | alEffecti (ALuint effect, ALenum param, ALint value)
AL_API ALvoid AL_APIENTRY | alEffectiv (ALuint effect, ALenum param, const ALint *values)
AL_API ALvoid AL_APIENTRY | alGenEffects (ALsizei n, ALuint *effects)
AL_API ALvoid AL_APIENTRY | alGetEffectf (ALuint effect, ALenum param, ALfloat *value)
AL_API ALvoid AL_APIENTRY | alGetEffectfv (ALuint effect, ALenum param, ALfloat *values)
AL_API ALvoid AL_APIENTRY | alGetEffecti (ALuint effect, ALenum param, ALint *value)
AL_API ALvoid AL_APIENTRY | alGetEffectiv (ALuint effect, ALenum param, ALint *values)
AL_API ALboolean AL_APIENTRY | alIsEffect (ALuint effect)
static void | ded_GetParamf (ALeffect *effect, ALCcontext *context, ALenum param, ALfloat *val)
static void | ded_GetParamfv (ALeffect *effect, ALCcontext *context, ALenum param, ALfloat *vals)
static void | ded_GetParami (ALeffect *effect, ALCcontext *context, ALenum param, ALint *val)
static void | ded_GetParamiv (ALeffect *effect, ALCcontext *context, ALenum param, ALint *vals)
static void | ded_SetParamf (ALeffect *effect, ALCcontext *context, ALenum param, ALfloat val)
static void | ded_SetParamfv (ALeffect *effect, ALCcontext *context, ALenum param, const ALfloat *vals)
static void | ded_SetParami (ALeffect *effect, ALCcontext *context, ALenum param, ALint val)
static void | ded_SetParamiv (ALeffect *effect, ALCcontext *context, ALenum param, const ALint *vals)
static void | eaxreverb_GetParamf (ALeffect *effect, ALCcontext *context, ALenum param, ALfloat *val)
static void | eaxreverb_GetParamfv (ALeffect *effect, ALCcontext *context, ALenum param, ALfloat *vals)
static void | eaxreverb_GetParami (ALeffect *effect, ALCcontext *context, ALenum param, ALint *val)
static void | eaxreverb_GetParamiv (ALeffect *effect, ALCcontext *context, ALenum param, ALint *vals)
static void | eaxreverb_SetParamf (ALeffect *effect, ALCcontext *context, ALenum param, ALfloat val)
static void | eaxreverb_SetParamfv (ALeffect *effect, ALCcontext *context, ALenum param, const ALfloat *vals)
static void | eaxreverb_SetParami (ALeffect *effect, ALCcontext *context, ALenum param, ALint val)
static void | eaxreverb_SetParamiv (ALeffect *effect, ALCcontext *context, ALenum param, const ALint *vals)
static void | echo_GetParamf (ALeffect *effect, ALCcontext *context, ALenum param, ALfloat *val)
static void | echo_GetParamfv (ALeffect *effect, ALCcontext *context, ALenum param, ALfloat *vals)
static void | echo_GetParami (ALeffect *effect, ALCcontext *context, ALenum param, ALint *val)
static void | echo_GetParamiv (ALeffect *effect, ALCcontext *context, ALenum param, ALint *vals)
static void | echo_SetParamf (ALeffect *effect, ALCcontext *context, ALenum param, ALfloat val)
static void | echo_SetParamfv (ALeffect *effect, ALCcontext *context, ALenum param, const ALfloat *vals)
static void | echo_SetParami (ALeffect *effect, ALCcontext *context, ALenum param, ALint val)
static void | echo_SetParamiv (ALeffect *effect, ALCcontext *context, ALenum param, const ALint *vals)
ALenum | InitEffect (ALeffect *effect)
static void | InitEffectParams (ALeffect *effect, ALenum type)
ALvoid | LoadReverbPreset (const char *name, ALeffect *effect)
static void | mod_GetParamf (ALeffect *effect, ALCcontext *context, ALenum param, ALfloat *val)
static void | mod_GetParamfv (ALeffect *effect, ALCcontext *context, ALenum param, ALfloat *vals)
static void | mod_GetParami (ALeffect *effect, ALCcontext *context, ALenum param, ALint *val)
static void | mod_GetParamiv (ALeffect *effect, ALCcontext *context, ALenum param, ALint *vals)
static void | mod_SetParamf (ALeffect *effect, ALCcontext *context, ALenum param, ALfloat val)
static void | mod_SetParamfv (ALeffect *effect, ALCcontext *context, ALenum param, const ALfloat *vals)
static void | mod_SetParami (ALeffect *effect, ALCcontext *context, ALenum param, ALint val)
static void | mod_SetParamiv (ALeffect *effect, ALCcontext *context, ALenum param, const ALint *vals)
static void | null_GetParamf (ALeffect *effect, ALCcontext *context, ALenum param, ALfloat *val)
static void | null_GetParamfv (ALeffect *effect, ALCcontext *context, ALenum param, ALfloat *vals)
static void | null_GetParami (ALeffect *effect, ALCcontext *context, ALenum param, ALint *val)
static void | null_GetParamiv (ALeffect *effect, ALCcontext *context, ALenum param, ALint *vals)
static void | null_SetParamf (ALeffect *effect, ALCcontext *context, ALenum param, ALfloat val)
static void | null_SetParamfv (ALeffect *effect, ALCcontext *context, ALenum param, const ALfloat *vals)
static void | null_SetParami (ALeffect *effect, ALCcontext *context, ALenum param, ALint val)
static void | null_SetParamiv (ALeffect *effect, ALCcontext *context, ALenum param, const ALint *vals)
ALvoid | ReleaseALEffects (ALCdevice *device)
static void | reverb_GetParamf (ALeffect *effect, ALCcontext *context, ALenum param, ALfloat *val)
static void | reverb_GetParamfv (ALeffect *effect, ALCcontext *context, ALenum param, ALfloat *vals)
static void | reverb_GetParami (ALeffect *effect, ALCcontext *context, ALenum param, ALint *val)
static void | reverb_GetParamiv (ALeffect *effect, ALCcontext *context, ALenum param, ALint *vals)
static void | reverb_SetParamf (ALeffect *effect, ALCcontext *context, ALenum param, ALfloat val)
static void | reverb_SetParamfv (ALeffect *effect, ALCcontext *context, ALenum param, const ALfloat *vals)
static void | reverb_SetParami (ALeffect *effect, ALCcontext *context, ALenum param, ALint val)
static void | reverb_SetParamiv (ALeffect *effect, ALCcontext *context, ALenum param, const ALint *vals)

## Variables

ALboolean | DisabledEffects [MAX_EFFECTS]
struct {
const char name [32]
EFXEAXREVERBPROPERTIES props
} | reverblist []
static const ALsizei | reverblistsize = COUNTOF(reverblist)

## Macro Definition Documentation

#define DECL | ( |  | x | ) | { #x, EFX_REVERB_PRESET_##x }

Definition at line 1324 of file alEffect.c.

## Function Documentation

AL_API ALvoid AL_APIENTRY alDeleteEffects | ( | ALsizei | n,
|  | const ALuint * | effects
| ) |  |

Definition at line 90 of file alEffect.c.

References al_endtry, AL_INVALID_NAME, al_throwerr, al_try, ALCcontext_DecRef(), CHECK_VALUE, ALCcontext_struct::Device, free, FreeThunkEntry(), GetContextRef(), i, ALeffect::id, LookupEffect, memset, NULL, and RemoveEffect.

AL_API ALvoid AL_APIENTRY alEffectf | ( | ALuint | effect,
|  | ALenum | param,
|  | ALfloat | value
| ) |  |

Definition at line 208 of file alEffect.c.

References AL_INVALID_NAME, ALCcontext_DecRef(), ALeffect_SetParamf, alSetError(), ALCcontext_struct::Device, GetContextRef(), LookupEffect, and NULL.

AL_API ALvoid AL_APIENTRY alEffectfv | ( | ALuint | effect,
|  | ALenum | param,
|  | const ALfloat * | values
| ) |  |

Definition at line 229 of file alEffect.c.

References AL_INVALID_NAME, ALCcontext_DecRef(), ALeffect_SetParamfv, alSetError(), ALCcontext_struct::Device, GetContextRef(), LookupEffect, and NULL.

AL_API ALvoid AL_APIENTRY alEffecti | ( | ALuint | effect,
|  | ALenum | param,
|  | ALint | value
| ) |  |

Definition at line 140 of file alEffect.c.

References AL_EFFECT_NULL, AL_EFFECT_TYPE, AL_INVALID_NAME, AL_INVALID_VALUE, AL_TRUE, ALCcontext_DecRef(), ALeffect_SetParami, alSetError(), ALCcontext_struct::Device, DisabledEffects, GetContextRef(), i, InitEffectParams(), LookupEffect, NULL, and EffectList::val.

AL_API ALvoid AL_APIENTRY alEffectiv | ( | ALuint | effect,
|  | ALenum | param,
|  | const ALint * | values
| ) |  |

Definition at line 180 of file alEffect.c.

References AL_EFFECT_TYPE, AL_INVALID_NAME, ALCcontext_DecRef(), ALeffect_SetParamiv, alEffecti, alSetError(), ALCcontext_struct::Device, GetContextRef(), LookupEffect, and NULL.

AL_API ALvoid AL_APIENTRY alGenEffects | ( | ALsizei | n,
|  | ALuint * | effects
| ) |  |

Definition at line 41 of file alEffect.c.

References al_catchany, al_endtry, AL_NO_ERROR, AL_OUT_OF_MEMORY, al_throwerr, al_try, ALCcontext_DecRef(), alDeleteEffects, calloc, CHECK_VALUE, ALCcontext_struct::Device, ALCdevice_struct::EffectMap, free, FreeThunkEntry(), GetContextRef(), ALeffect::id, InitEffect(), InsertUIntMapEntry(), memset, and NewThunkEntry().

AL_API ALvoid AL_APIENTRY alGetEffectf | ( | ALuint | effect,
|  | ALenum | param,
|  | ALfloat * | value
| ) |  |

Definition at line 304 of file alEffect.c.

References AL_INVALID_NAME, ALCcontext_DecRef(), ALeffect_GetParamf, alSetError(), ALCcontext_struct::Device, GetContextRef(), LookupEffect, and NULL.

AL_API ALvoid AL_APIENTRY alGetEffectfv | ( | ALuint | effect,
|  | ALenum | param,
|  | ALfloat * | values
| ) |  |

Definition at line 325 of file alEffect.c.

References AL_INVALID_NAME, ALCcontext_DecRef(), ALeffect_GetParamfv, alSetError(), ALCcontext_struct::Device, GetContextRef(), LookupEffect, and NULL.

AL_API ALvoid AL_APIENTRY alGetEffecti | ( | ALuint | effect,
|  | ALenum | param,
|  | ALint * | value
| ) |  |

Definition at line 250 of file alEffect.c.

References AL_EFFECT_TYPE, AL_INVALID_NAME, ALCcontext_DecRef(), ALeffect_GetParami, alSetError(), ALCcontext_struct::Device, GetContextRef(), LookupEffect, NULL, and ALeffect::type.

AL_API ALvoid AL_APIENTRY alGetEffectiv | ( | ALuint | effect,
|  | ALenum | param,
|  | ALint * | values
| ) |  |

Definition at line 276 of file alEffect.c.

References AL_EFFECT_TYPE, AL_INVALID_NAME, ALCcontext_DecRef(), ALeffect_GetParamiv, alGetEffecti, alSetError(), ALCcontext_struct::Device, GetContextRef(), LookupEffect, and NULL.

AL_API ALboolean AL_APIENTRY alIsEffect | ( | ALuint | effect | ) |

Definition at line 124 of file alEffect.c.

References AL_FALSE, AL_TRUE, ALCcontext_DecRef(), ALCcontext_struct::Device, GetContextRef(), and LookupEffect.

static void ded_GetParamf | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat * | val
| ) |  |

static

Definition at line 1143 of file alEffect.c.

References AL_DEDICATED_GAIN, AL_INVALID_ENUM, alSetError(), ALeffect::Dedicated, and ALeffect::Gain.

Referenced by ded_GetParamfv(), and InitEffectParams().

static void ded_GetParamfv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat * | vals
| ) |  |

static

Definition at line 1156 of file alEffect.c.

References ded_GetParamf().

Referenced by InitEffectParams().

static void ded_GetParami | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint * | val
| ) |  |

static

Definition at line 1137 of file alEffect.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by ded_GetParamiv(), and InitEffectParams().

static void ded_GetParamiv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint * | vals
| ) |  |

static

Definition at line 1139 of file alEffect.c.

References ded_GetParami().

Referenced by InitEffectParams().

static void ded_SetParamf | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat | val
| ) |  |

static

Definition at line 1116 of file alEffect.c.

References AL_DEDICATED_GAIN, AL_INVALID_ENUM, AL_INVALID_VALUE, alSetError(), ALeffect::Dedicated, and ALeffect::Gain.

Referenced by ded_SetParamfv(), and InitEffectParams().

static void ded_SetParamfv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | const ALfloat * | vals
| ) |  |

static

Definition at line 1132 of file alEffect.c.

References ded_SetParamf().

Referenced by InitEffectParams().

static void ded_SetParami | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint | val
| ) |  |

static

Definition at line 1110 of file alEffect.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by ded_SetParamiv(), and InitEffectParams().

static void ded_SetParamiv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | const ALint * | vals
| ) |  |

static

Definition at line 1112 of file alEffect.c.

References ded_SetParami().

Referenced by InitEffectParams().

static void eaxreverb_GetParamf | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat * | val
| ) |  |

static

Definition at line 587 of file alEffect.c.

References ALeffect::AirAbsorptionGainHF, AL_EAXREVERB_AIR_ABSORPTION_GAINHF, AL_EAXREVERB_DECAY_HFRATIO, AL_EAXREVERB_DECAY_LFRATIO, AL_EAXREVERB_DECAY_TIME, AL_EAXREVERB_DENSITY, AL_EAXREVERB_DIFFUSION, AL_EAXREVERB_ECHO_DEPTH, AL_EAXREVERB_ECHO_TIME, AL_EAXREVERB_GAIN, AL_EAXREVERB_GAINHF, AL_EAXREVERB_GAINLF, AL_EAXREVERB_HFREFERENCE, AL_EAXREVERB_LATE_REVERB_DELAY, AL_EAXREVERB_LATE_REVERB_GAIN, AL_EAXREVERB_LFREFERENCE, AL_EAXREVERB_MODULATION_DEPTH, AL_EAXREVERB_MODULATION_TIME, AL_EAXREVERB_REFLECTIONS_DELAY, AL_EAXREVERB_REFLECTIONS_GAIN, AL_EAXREVERB_ROOM_ROLLOFF_FACTOR, AL_INVALID_ENUM, alSetError(), ALeffect::DecayHFRatio, ALeffect::DecayLFRatio, ALeffect::DecayTime, ALeffect::Density, ALeffect::Diffusion, ALeffect::EchoDepth, ALeffect::EchoTime, ALeffect::Gain, ALeffect::GainHF, ALeffect::GainLF, ALeffect::HFReference, ALeffect::LateReverbDelay, ALeffect::LateReverbGain, ALeffect::LFReference, ALeffect::ModulationDepth, ALeffect::ModulationTime, ALeffect::ReflectionsDelay, ALeffect::ReflectionsGain, ALeffect::Reverb, and ALeffect::RoomRolloffFactor.

Referenced by eaxreverb_GetParamfv(), and InitEffectParams().

static void eaxreverb_GetParamfv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat * | vals
| ) |  |

static

Definition at line 676 of file alEffect.c.

References AL_EAXREVERB_LATE_REVERB_PAN, AL_EAXREVERB_REFLECTIONS_PAN, eaxreverb_GetParamf(), ALeffect::LateReverbPan, LockContext(), ALeffect::ReflectionsPan, ALeffect::Reverb, and UnlockContext().

Referenced by InitEffectParams().

static void eaxreverb_GetParami | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint * | val
| ) |  |

static

Definition at line 570 of file alEffect.c.

References AL_EAXREVERB_DECAY_HFLIMIT, AL_INVALID_ENUM, alSetError(), ALeffect::DecayHFLimit, and ALeffect::Reverb.

Referenced by eaxreverb_GetParamiv(), and InitEffectParams().

static void eaxreverb_GetParamiv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint * | vals
| ) |  |

static

Definition at line 583 of file alEffect.c.

References eaxreverb_GetParami().

Referenced by InitEffectParams().

static void eaxreverb_SetParamf | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat | val
| ) |  |

static

Definition at line 367 of file alEffect.c.

References ALeffect::AirAbsorptionGainHF, AL_EAXREVERB_AIR_ABSORPTION_GAINHF, AL_EAXREVERB_DECAY_HFRATIO, AL_EAXREVERB_DECAY_LFRATIO, AL_EAXREVERB_DECAY_TIME, AL_EAXREVERB_DENSITY, AL_EAXREVERB_DIFFUSION, AL_EAXREVERB_ECHO_DEPTH, AL_EAXREVERB_ECHO_TIME, AL_EAXREVERB_GAIN, AL_EAXREVERB_GAINHF, AL_EAXREVERB_GAINLF, AL_EAXREVERB_HFREFERENCE, AL_EAXREVERB_LATE_REVERB_DELAY, AL_EAXREVERB_LATE_REVERB_GAIN, AL_EAXREVERB_LFREFERENCE, AL_EAXREVERB_MAX_AIR_ABSORPTION_GAINHF, AL_EAXREVERB_MAX_DECAY_HFRATIO, AL_EAXREVERB_MAX_DECAY_LFRATIO, AL_EAXREVERB_MAX_DECAY_TIME, AL_EAXREVERB_MAX_DENSITY, AL_EAXREVERB_MAX_DIFFUSION, AL_EAXREVERB_MAX_ECHO_DEPTH, AL_EAXREVERB_MAX_ECHO_TIME, AL_EAXREVERB_MAX_GAIN, AL_EAXREVERB_MAX_GAINHF, AL_EAXREVERB_MAX_GAINLF, AL_EAXREVERB_MAX_HFREFERENCE, AL_EAXREVERB_MAX_LATE_REVERB_DELAY, AL_EAXREVERB_MAX_LATE_REVERB_GAIN, AL_EAXREVERB_MAX_LFREFERENCE, AL_EAXREVERB_MAX_MODULATION_DEPTH, AL_EAXREVERB_MAX_MODULATION_TIME, AL_EAXREVERB_MAX_REFLECTIONS_DELAY, AL_EAXREVERB_MAX_REFLECTIONS_GAIN, AL_EAXREVERB_MIN_AIR_ABSORPTION_GAINHF, AL_EAXREVERB_MIN_DECAY_HFRATIO, AL_EAXREVERB_MIN_DECAY_LFRATIO, AL_EAXREVERB_MIN_DECAY_TIME, AL_EAXREVERB_MIN_DENSITY, AL_EAXREVERB_MIN_DIFFUSION, AL_EAXREVERB_MIN_ECHO_DEPTH, AL_EAXREVERB_MIN_ECHO_TIME, AL_EAXREVERB_MIN_GAIN, AL_EAXREVERB_MIN_GAINHF, AL_EAXREVERB_MIN_GAINLF, AL_EAXREVERB_MIN_HFREFERENCE, AL_EAXREVERB_MIN_LATE_REVERB_DELAY, AL_EAXREVERB_MIN_LATE_REVERB_GAIN, AL_EAXREVERB_MIN_LFREFERENCE, AL_EAXREVERB_MIN_MODULATION_DEPTH, AL_EAXREVERB_MIN_MODULATION_TIME, AL_EAXREVERB_MIN_REFLECTIONS_DELAY, AL_EAXREVERB_MIN_REFLECTIONS_GAIN, AL_EAXREVERB_MODULATION_DEPTH, AL_EAXREVERB_MODULATION_TIME, AL_EAXREVERB_REFLECTIONS_DELAY, AL_EAXREVERB_REFLECTIONS_GAIN, AL_EAXREVERB_ROOM_ROLLOFF_FACTOR, AL_INVALID_ENUM, AL_INVALID_VALUE, alSetError(), ALeffect::DecayHFRatio, ALeffect::DecayLFRatio, ALeffect::DecayTime, ALeffect::Density, ALeffect::Diffusion, ALeffect::EchoDepth, ALeffect::EchoTime, ALeffect::Gain, ALeffect::GainHF, ALeffect::GainLF, ALeffect::HFReference, ALeffect::LateReverbDelay, ALeffect::LateReverbGain, ALeffect::LFReference, ALeffect::ModulationDepth, ALeffect::ModulationTime, ALeffect::ReflectionsDelay, ALeffect::ReflectionsGain, ALeffect::Reverb, and ALeffect::RoomRolloffFactor.

Referenced by eaxreverb_SetParamfv(), and InitEffectParams().

static void eaxreverb_SetParamfv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | const ALfloat * | vals
| ) |  |

static

Definition at line 535 of file alEffect.c.

References AL_EAXREVERB_LATE_REVERB_PAN, AL_EAXREVERB_REFLECTIONS_PAN, AL_INVALID_VALUE, alSetError(), eaxreverb_SetParamf(), ALeffect::LateReverbPan, LockContext(), ALeffect::ReflectionsPan, ALeffect::Reverb, and UnlockContext().

Referenced by InitEffectParams().

static void eaxreverb_SetParami | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint | val
| ) |  |

static

Definition at line 347 of file alEffect.c.

References AL_EAXREVERB_DECAY_HFLIMIT, AL_EAXREVERB_MAX_DECAY_HFLIMIT, AL_EAXREVERB_MIN_DECAY_HFLIMIT, AL_INVALID_ENUM, AL_INVALID_VALUE, alSetError(), ALeffect::DecayHFLimit, and ALeffect::Reverb.

Referenced by eaxreverb_SetParamiv(), and InitEffectParams().

static void eaxreverb_SetParamiv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | const ALint * | vals
| ) |  |

static

Definition at line 363 of file alEffect.c.

References eaxreverb_SetParami().

Referenced by InitEffectParams().

static void echo_GetParamf | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat * | val
| ) |  |

static

Definition at line 974 of file alEffect.c.

References AL_ECHO_DAMPING, AL_ECHO_DELAY, AL_ECHO_FEEDBACK, AL_ECHO_LRDELAY, AL_ECHO_SPREAD, AL_INVALID_ENUM, alSetError(), ALeffect::Damping, ALeffect::Delay, ALeffect::Echo, ALeffect::Feedback, ALeffect::LRDelay, and ALeffect::Spread.

Referenced by echo_GetParamfv(), and InitEffectParams().

static void echo_GetParamfv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat * | vals
| ) |  |

static

Definition at line 1003 of file alEffect.c.

References echo_GetParamf().

Referenced by InitEffectParams().

static void echo_GetParami | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint * | val
| ) |  |

static

Definition at line 968 of file alEffect.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by echo_GetParamiv(), and InitEffectParams().

static void echo_GetParamiv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint * | vals
| ) |  |

static

Definition at line 970 of file alEffect.c.

References echo_GetParami().

Referenced by InitEffectParams().

static void echo_SetParamf | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat | val
| ) |  |

static

Definition at line 919 of file alEffect.c.

References AL_ECHO_DAMPING, AL_ECHO_DELAY, AL_ECHO_FEEDBACK, AL_ECHO_LRDELAY, AL_ECHO_MAX_DAMPING, AL_ECHO_MAX_DELAY, AL_ECHO_MAX_FEEDBACK, AL_ECHO_MAX_LRDELAY, AL_ECHO_MAX_SPREAD, AL_ECHO_MIN_DAMPING, AL_ECHO_MIN_DELAY, AL_ECHO_MIN_FEEDBACK, AL_ECHO_MIN_LRDELAY, AL_ECHO_MIN_SPREAD, AL_ECHO_SPREAD, AL_INVALID_ENUM, AL_INVALID_VALUE, alSetError(), ALeffect::Damping, ALeffect::Delay, ALeffect::Echo, ALeffect::Feedback, ALeffect::LRDelay, and ALeffect::Spread.

Referenced by echo_SetParamfv(), and InitEffectParams().

static void echo_SetParamfv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | const ALfloat * | vals
| ) |  |

static

Definition at line 963 of file alEffect.c.

References echo_SetParamf().

Referenced by InitEffectParams().

static void echo_SetParami | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint | val
| ) |  |

static

Definition at line 913 of file alEffect.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by echo_SetParamiv(), and InitEffectParams().

static void echo_SetParamiv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | const ALint * | vals
| ) |  |

static

Definition at line 915 of file alEffect.c.

References echo_SetParami().

Referenced by InitEffectParams().

ALenum InitEffect | ( | ALeffect * | effect | ) |

Definition at line 1181 of file alEffect.c.

References AL_EFFECT_NULL, AL_NO_ERROR, and InitEffectParams().

Referenced by alc_initconfig(), and alGenEffects().

static void InitEffectParams | ( | ALeffect * | effect,
|  | ALenum | type
| ) |  |

static

Definition at line 1203 of file alEffect.c.

References ALeffect::AirAbsorptionGainHF, AL_EAXREVERB_DEFAULT_AIR_ABSORPTION_GAINHF, AL_EAXREVERB_DEFAULT_DECAY_HFLIMIT, AL_EAXREVERB_DEFAULT_DECAY_HFRATIO, AL_EAXREVERB_DEFAULT_DECAY_LFRATIO, AL_EAXREVERB_DEFAULT_DECAY_TIME, AL_EAXREVERB_DEFAULT_DENSITY, AL_EAXREVERB_DEFAULT_DIFFUSION, AL_EAXREVERB_DEFAULT_ECHO_DEPTH, AL_EAXREVERB_DEFAULT_ECHO_TIME, AL_EAXREVERB_DEFAULT_GAIN, AL_EAXREVERB_DEFAULT_GAINHF, AL_EAXREVERB_DEFAULT_GAINLF, AL_EAXREVERB_DEFAULT_HFREFERENCE, AL_EAXREVERB_DEFAULT_LATE_REVERB_DELAY, AL_EAXREVERB_DEFAULT_LATE_REVERB_GAIN, AL_EAXREVERB_DEFAULT_LATE_REVERB_PAN_XYZ, AL_EAXREVERB_DEFAULT_LFREFERENCE, AL_EAXREVERB_DEFAULT_MODULATION_DEPTH, AL_EAXREVERB_DEFAULT_MODULATION_TIME, AL_EAXREVERB_DEFAULT_REFLECTIONS_DELAY, AL_EAXREVERB_DEFAULT_REFLECTIONS_GAIN, AL_EAXREVERB_DEFAULT_REFLECTIONS_PAN_XYZ, AL_EAXREVERB_DEFAULT_ROOM_ROLLOFF_FACTOR, AL_ECHO_DEFAULT_DAMPING, AL_ECHO_DEFAULT_DELAY, AL_ECHO_DEFAULT_FEEDBACK, AL_ECHO_DEFAULT_LRDELAY, AL_ECHO_DEFAULT_SPREAD, AL_EFFECT_DEDICATED_DIALOGUE, AL_EFFECT_DEDICATED_LOW_FREQUENCY_EFFECT, AL_EFFECT_EAXREVERB, AL_EFFECT_ECHO, AL_EFFECT_REVERB, AL_EFFECT_RING_MODULATOR, AL_REVERB_DEFAULT_AIR_ABSORPTION_GAINHF, AL_REVERB_DEFAULT_DECAY_HFLIMIT, AL_REVERB_DEFAULT_DECAY_HFRATIO, AL_REVERB_DEFAULT_DECAY_TIME, AL_REVERB_DEFAULT_DENSITY, AL_REVERB_DEFAULT_DIFFUSION, AL_REVERB_DEFAULT_GAIN, AL_REVERB_DEFAULT_GAINHF, AL_REVERB_DEFAULT_LATE_REVERB_DELAY, AL_REVERB_DEFAULT_LATE_REVERB_GAIN, AL_REVERB_DEFAULT_REFLECTIONS_DELAY, AL_REVERB_DEFAULT_REFLECTIONS_GAIN, AL_REVERB_DEFAULT_ROOM_ROLLOFF_FACTOR, AL_RING_MODULATOR_DEFAULT_FREQUENCY, AL_RING_MODULATOR_DEFAULT_HIGHPASS_CUTOFF, AL_RING_MODULATOR_DEFAULT_WAVEFORM, ALeffect::Damping, ALeffect::DecayHFLimit, ALeffect::DecayHFRatio, ALeffect::DecayLFRatio, ALeffect::DecayTime, ded_GetParamf(), ded_GetParamfv(), ded_GetParami(), ded_GetParamiv(), ded_SetParamf(), ded_SetParamfv(), ded_SetParami(), ded_SetParamiv(), ALeffect::Dedicated, ALeffect::Delay, ALeffect::Density, ALeffect::Diffusion, eaxreverb_GetParamf(), eaxreverb_GetParamfv(), eaxreverb_GetParami(), eaxreverb_GetParamiv(), eaxreverb_SetParamf(), eaxreverb_SetParamfv(), eaxreverb_SetParami(), eaxreverb_SetParamiv(), ALeffect::Echo, echo_GetParamf(), echo_GetParamfv(), echo_GetParami(), echo_GetParamiv(), echo_SetParamf(), echo_SetParamfv(), echo_SetParami(), echo_SetParamiv(), ALeffect::EchoDepth, ALeffect::EchoTime, ALeffect::Feedback, ALeffect::Frequency, ALeffect::Gain, ALeffect::GainHF, ALeffect::GainLF, ALeffect::GetParamf, ALeffect::GetParamfv, ALeffect::GetParami, ALeffect::GetParamiv, ALeffect::HFReference, ALeffect::HighPassCutoff, ALeffect::LateReverbDelay, ALeffect::LateReverbGain, ALeffect::LateReverbPan, ALeffect::LFReference, ALeffect::LRDelay, mod_GetParamf(), mod_GetParamfv(), mod_GetParami(), mod_GetParamiv(), mod_SetParamf(), mod_SetParamfv(), mod_SetParami(), mod_SetParamiv(), ALeffect::ModulationDepth, ALeffect::ModulationTime, ALeffect::Modulator, null_GetParamf(), null_GetParamfv(), null_GetParami(), null_GetParamiv(), null_SetParamf(), null_SetParamfv(), null_SetParami(), null_SetParamiv(), ALeffect::ReflectionsDelay, ALeffect::ReflectionsGain, ALeffect::ReflectionsPan, ALeffect::Reverb, reverb_GetParamf(), reverb_GetParamfv(), reverb_GetParami(), reverb_GetParamiv(), reverb_SetParamf(), reverb_SetParamfv(), reverb_SetParami(), reverb_SetParamiv(), ALeffect::RoomRolloffFactor, ALeffect::SetParamf, ALeffect::SetParamfv, ALeffect::SetParami, ALeffect::SetParamiv, ALeffect::Spread, ALeffect::type, and ALeffect::Waveform.

Referenced by alEffecti(), InitEffect(), and LoadReverbPreset().

ALvoid LoadReverbPreset | ( | const char * | name,
|  | ALeffect * | effect
| ) |  |

Definition at line 1459 of file alEffect.c.

References ALeffect::AirAbsorptionGainHF, AL_EFFECT_EAXREVERB, AL_EFFECT_NULL, AL_EFFECT_REVERB, ALeffect::DecayHFLimit, ALeffect::DecayHFRatio, ALeffect::DecayLFRatio, ALeffect::DecayTime, ALeffect::Density, ALeffect::Diffusion, DisabledEffects, EAXREVERB, ALeffect::EchoDepth, ALeffect::EchoTime, EFXEAXREVERBPROPERTIES::flAirAbsorptionGainHF, EFXEAXREVERBPROPERTIES::flDecayHFRatio, EFXEAXREVERBPROPERTIES::flDecayLFRatio, EFXEAXREVERBPROPERTIES::flDecayTime, EFXEAXREVERBPROPERTIES::flDensity, EFXEAXREVERBPROPERTIES::flDiffusion, EFXEAXREVERBPROPERTIES::flEchoDepth, EFXEAXREVERBPROPERTIES::flEchoTime, EFXEAXREVERBPROPERTIES::flGain, EFXEAXREVERBPROPERTIES::flGainHF, EFXEAXREVERBPROPERTIES::flGainLF, EFXEAXREVERBPROPERTIES::flHFReference, EFXEAXREVERBPROPERTIES::flLateReverbDelay, EFXEAXREVERBPROPERTIES::flLateReverbGain, EFXEAXREVERBPROPERTIES::flLateReverbPan, EFXEAXREVERBPROPERTIES::flLFReference, EFXEAXREVERBPROPERTIES::flModulationDepth, EFXEAXREVERBPROPERTIES::flModulationTime, EFXEAXREVERBPROPERTIES::flReflectionsDelay, EFXEAXREVERBPROPERTIES::flReflectionsGain, EFXEAXREVERBPROPERTIES::flReflectionsPan, EFXEAXREVERBPROPERTIES::flRoomRolloffFactor, ALeffect::Gain, ALeffect::GainHF, ALeffect::GainLF, ALeffect::HFReference, i, EFXEAXREVERBPROPERTIES::iDecayHFLimit, InitEffectParams(), ALeffect::LateReverbDelay, ALeffect::LateReverbGain, ALeffect::LateReverbPan, ALeffect::LFReference, ALeffect::ModulationDepth, ALeffect::ModulationTime, ALeffect::ReflectionsDelay, ALeffect::ReflectionsGain, ALeffect::ReflectionsPan, REVERB, ALeffect::Reverb, reverblist, reverblistsize, ALeffect::RoomRolloffFactor, TRACE, and WARN.

Referenced by alc_initconfig().

static void mod_GetParamf | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat * | val
| ) |  |

static

Definition at line 1088 of file alEffect.c.

References AL_INVALID_ENUM, AL_RING_MODULATOR_FREQUENCY, AL_RING_MODULATOR_HIGHPASS_CUTOFF, alSetError(), ALeffect::Frequency, ALeffect::HighPassCutoff, and ALeffect::Modulator.

Referenced by InitEffectParams(), and mod_GetParamfv().

static void mod_GetParamfv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat * | vals
| ) |  |

static

Definition at line 1104 of file alEffect.c.

References mod_GetParamf().

Referenced by InitEffectParams().

static void mod_GetParami | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint * | val
| ) |  |

static

Definition at line 1065 of file alEffect.c.

References AL_INVALID_ENUM, AL_RING_MODULATOR_FREQUENCY, AL_RING_MODULATOR_HIGHPASS_CUTOFF, AL_RING_MODULATOR_WAVEFORM, alSetError(), ALeffect::Frequency, ALeffect::HighPassCutoff, ALeffect::Modulator, and ALeffect::Waveform.

Referenced by InitEffectParams(), and mod_GetParamiv().

static void mod_GetParamiv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint * | vals
| ) |  |

static

Definition at line 1084 of file alEffect.c.

References mod_GetParami().

Referenced by InitEffectParams().

static void mod_SetParamf | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat | val
| ) |  |

static

Definition at line 1009 of file alEffect.c.

References AL_INVALID_ENUM, AL_INVALID_VALUE, AL_RING_MODULATOR_FREQUENCY, AL_RING_MODULATOR_HIGHPASS_CUTOFF, AL_RING_MODULATOR_MAX_FREQUENCY, AL_RING_MODULATOR_MAX_HIGHPASS_CUTOFF, AL_RING_MODULATOR_MIN_FREQUENCY, AL_RING_MODULATOR_MIN_HIGHPASS_CUTOFF, alSetError(), ALeffect::Frequency, ALeffect::HighPassCutoff, and ALeffect::Modulator.

Referenced by InitEffectParams(), mod_SetParamfv(), and mod_SetParami().

static void mod_SetParamfv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | const ALfloat * | vals
| ) |  |

static

Definition at line 1034 of file alEffect.c.

References mod_SetParamf().

Referenced by InitEffectParams().

static void mod_SetParami | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint | val
| ) |  |

static

Definition at line 1038 of file alEffect.c.

References AL_INVALID_ENUM, AL_INVALID_VALUE, AL_RING_MODULATOR_FREQUENCY, AL_RING_MODULATOR_HIGHPASS_CUTOFF, AL_RING_MODULATOR_MAX_WAVEFORM, AL_RING_MODULATOR_MIN_WAVEFORM, AL_RING_MODULATOR_WAVEFORM, alSetError(), mod_SetParamf(), ALeffect::Modulator, and ALeffect::Waveform.

Referenced by InitEffectParams(), and mod_SetParamiv().

static void mod_SetParamiv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | const ALint * | vals
| ) |  |

static

Definition at line 1060 of file alEffect.c.

References mod_SetParami().

Referenced by InitEffectParams().

static void null_GetParamf | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat * | val
| ) |  |

static

Definition at line 1175 of file alEffect.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by InitEffectParams().

static void null_GetParamfv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat * | vals
| ) |  |

static

Definition at line 1177 of file alEffect.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by InitEffectParams().

static void null_GetParami | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint * | val
| ) |  |

static

Definition at line 1171 of file alEffect.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by InitEffectParams().

static void null_GetParamiv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint * | vals
| ) |  |

static

Definition at line 1173 of file alEffect.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by InitEffectParams().

static void null_SetParamf | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat | val
| ) |  |

static

Definition at line 1166 of file alEffect.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by InitEffectParams().

static void null_SetParamfv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | const ALfloat * | vals
| ) |  |

static

Definition at line 1168 of file alEffect.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by InitEffectParams().

static void null_SetParami | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint | val
| ) |  |

static

Definition at line 1162 of file alEffect.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by InitEffectParams().

static void null_SetParamiv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | const ALint * | vals
| ) |  |

static

Definition at line 1164 of file alEffect.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by InitEffectParams().

ALvoid ReleaseALEffects | ( | ALCdevice * | device | ) |

Definition at line 1187 of file alEffect.c.

References UIntMap::array, ALCdevice_struct::EffectMap, free, FreeThunkEntry(), i, ALeffect::id, memset, NULL, UIntMap::size, and UIntMap::value.

Referenced by FreeDevice().

static void reverb_GetParamf | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat * | val
| ) |  |

static

Definition at line 850 of file alEffect.c.

References ALeffect::AirAbsorptionGainHF, AL_INVALID_ENUM, AL_REVERB_AIR_ABSORPTION_GAINHF, AL_REVERB_DECAY_HFRATIO, AL_REVERB_DECAY_TIME, AL_REVERB_DENSITY, AL_REVERB_DIFFUSION, AL_REVERB_GAIN, AL_REVERB_GAINHF, AL_REVERB_LATE_REVERB_DELAY, AL_REVERB_LATE_REVERB_GAIN, AL_REVERB_REFLECTIONS_DELAY, AL_REVERB_REFLECTIONS_GAIN, AL_REVERB_ROOM_ROLLOFF_FACTOR, alSetError(), ALeffect::DecayHFRatio, ALeffect::DecayTime, ALeffect::Density, ALeffect::Diffusion, ALeffect::Gain, ALeffect::GainHF, ALeffect::LateReverbDelay, ALeffect::LateReverbGain, ALeffect::ReflectionsDelay, ALeffect::ReflectionsGain, ALeffect::Reverb, and ALeffect::RoomRolloffFactor.

Referenced by InitEffectParams(), and reverb_GetParamfv().

static void reverb_GetParamfv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat * | vals
| ) |  |

static

Definition at line 907 of file alEffect.c.

References reverb_GetParamf().

Referenced by InitEffectParams().

static void reverb_GetParami | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint * | val
| ) |  |

static

Definition at line 833 of file alEffect.c.

References AL_INVALID_ENUM, AL_REVERB_DECAY_HFLIMIT, alSetError(), ALeffect::DecayHFLimit, and ALeffect::Reverb.

Referenced by InitEffectParams(), and reverb_GetParamiv().

static void reverb_GetParamiv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint * | vals
| ) |  |

static

Definition at line 846 of file alEffect.c.

References reverb_GetParami().

Referenced by InitEffectParams().

static void reverb_SetParamf | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat | val
| ) |  |

static

Definition at line 723 of file alEffect.c.

References ALeffect::AirAbsorptionGainHF, AL_INVALID_ENUM, AL_INVALID_VALUE, AL_REVERB_AIR_ABSORPTION_GAINHF, AL_REVERB_DECAY_HFRATIO, AL_REVERB_DECAY_TIME, AL_REVERB_DENSITY, AL_REVERB_DIFFUSION, AL_REVERB_GAIN, AL_REVERB_GAINHF, AL_REVERB_LATE_REVERB_DELAY, AL_REVERB_LATE_REVERB_GAIN, AL_REVERB_MAX_AIR_ABSORPTION_GAINHF, AL_REVERB_MAX_DECAY_HFRATIO, AL_REVERB_MAX_DECAY_TIME, AL_REVERB_MAX_DENSITY, AL_REVERB_MAX_DIFFUSION, AL_REVERB_MAX_GAIN, AL_REVERB_MAX_GAINHF, AL_REVERB_MAX_LATE_REVERB_DELAY, AL_REVERB_MAX_LATE_REVERB_GAIN, AL_REVERB_MAX_REFLECTIONS_DELAY, AL_REVERB_MAX_REFLECTIONS_GAIN, AL_REVERB_MAX_ROOM_ROLLOFF_FACTOR, AL_REVERB_MIN_AIR_ABSORPTION_GAINHF, AL_REVERB_MIN_DECAY_HFRATIO, AL_REVERB_MIN_DECAY_TIME, AL_REVERB_MIN_DENSITY, AL_REVERB_MIN_DIFFUSION, AL_REVERB_MIN_GAIN, AL_REVERB_MIN_GAINHF, AL_REVERB_MIN_LATE_REVERB_DELAY, AL_REVERB_MIN_LATE_REVERB_GAIN, AL_REVERB_MIN_REFLECTIONS_DELAY, AL_REVERB_MIN_REFLECTIONS_GAIN, AL_REVERB_MIN_ROOM_ROLLOFF_FACTOR, AL_REVERB_REFLECTIONS_DELAY, AL_REVERB_REFLECTIONS_GAIN, AL_REVERB_ROOM_ROLLOFF_FACTOR, alSetError(), ALeffect::DecayHFRatio, ALeffect::DecayTime, ALeffect::Density, ALeffect::Diffusion, ALeffect::Gain, ALeffect::GainHF, ALeffect::LateReverbDelay, ALeffect::LateReverbGain, ALeffect::ReflectionsDelay, ALeffect::ReflectionsGain, ALeffect::Reverb, and ALeffect::RoomRolloffFactor.

Referenced by InitEffectParams(), and reverb_SetParamfv().

static void reverb_SetParamfv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | const ALfloat * | vals
| ) |  |

static

Definition at line 828 of file alEffect.c.

References reverb_SetParamf().

Referenced by InitEffectParams().

static void reverb_SetParami | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint | val
| ) |  |

static

Definition at line 702 of file alEffect.c.

References AL_INVALID_ENUM, AL_INVALID_VALUE, AL_REVERB_DECAY_HFLIMIT, AL_REVERB_MAX_DECAY_HFLIMIT, AL_REVERB_MIN_DECAY_HFLIMIT, alSetError(), ALeffect::DecayHFLimit, and ALeffect::Reverb.

Referenced by InitEffectParams(), and reverb_SetParamiv().

static void reverb_SetParamiv | ( | ALeffect * | effect,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | const ALint * | vals
| ) |  |

static

Definition at line 719 of file alEffect.c.

References reverb_SetParami().

Referenced by InitEffectParams().

## Variable Documentation

ALboolean DisabledEffects[MAX_EFFECTS]

OpenAL cross platform audio library Copyright (C) 1999-2007 by authors. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.

You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. Or go to http://www.gnu.org/copyleft/lgpl.html

Definition at line 35 of file alEffect.c.

Referenced by alc_initconfig(), alEffecti(), and LoadReverbPreset().

const char name[32]

Definition at line 1326 of file alEffect.c.

EFXEAXREVERBPROPERTIES props

Definition at line 1327 of file alEffect.c.

struct { ... } reverblist[]

Referenced by LoadReverbPreset().

const ALsizei reverblistsize = COUNTOF(reverblist)

static

Definition at line 1457 of file alEffect.c.

Referenced by LoadReverbPreset().